stages:
  - staging
  - deploy


variables:
  DEPLOY_ENVIRONMENT:
    value: "staging"
    options:
      - "production"
      - "staging"
      - "canary"
    description: "The deployment target. Set to 'staging' by default."


.deploy:
  stage: deploy
  before_script:
    - echo 'installing libs...'
  script:
    - echo ' running deploy script'


deploy_to_staging:
  extends: .deploy
  rules:
    - if: $DEPLOY_ENVIRONMENT == "staging"


    
deploy_to_prod:
  extends: .deploy
  rules:
    - if: $DEPLOY_ENVIRONMENT == "production"
      when: manual


deploy_to_prod_canary:
  extends: .deploy
  rules:
    - if: $DEPLOY_ENVIRONMENT == "canary"
      when: manual

